function fgh = plotHyperplanes(Ycategories, hsv_t, fgh, ordinalOrder, w, w0)
%PLOTHYPERPLANES Summary of this function goes here
%   Detailed explanation goes here

classes = categories(Ycategories);
numClasses = numel(classes);
numLearners = numClasses - 1; % ordinal training
numFeatures = size(w,1);

figure(fgh);
hold on

ordinalOrderNumeric = zeros(length(ordinalOrder),1);
for i=1:length(ordinalOrder)
    for j=1:length(ordinalOrder)
        if (string(classes{i}) == string(ordinalOrder{j}))
          ordinalOrderNumeric(i) = j;
        end
    end
end

 

%% hyperplane plot in 2-D
    
    if numFeatures == 2
        for i=1:numLearners
            fimplicit(@(x,y) w(1,i)*x + w(2,i)*y + w0(i),...
                'Color', hsv_t(ordinalOrderNumeric(i),:));
        end
    end

%% hyperplane plot in 3-D
    
    if numFeatures == 3
        for i=1:numLearners
            fimplicit3(@(x,y,z) w(1,i)*x + w(2,i)*y + w(3,i)*z + w0(i),...
               'FaceColor', hsv_t(ordinalOrderNumeric(i),:));
        end
    end

end

